<app-breadcrumb [single]="false" titlePage="Editar Noticia" backPage="Noticias" url="news"></app-breadcrumb>

<div class="row">
  <div class="col-12">
    <div class="card mb-3">
      <div class="card-header">
        <h3><fa-icon [icon]="faHandPointer"></fa-icon> Editar Noticia</h3>
      </div>
      <div class="card-body">
        <form class="validate-form" (ngSubmit)="submit(form)" #form="ngForm">
          <div class="row">
            <div class="col-12">
              <label for="title"  class="label-flags">
                <span> Titulo</span>
              </label>
              <input type="text" name="title" placeholder="Titulo" id="title" class="form-control" [(ngModel)]="news.title" required >
              <label for="intro"  class="label-flags">
                <span> Introducción</span>
              </label>
              <ckeditor [editor]="Editor" [(ngModel)]="news.intro" [data]="news.intro" name="intro" id="intro" ></ckeditor>
              <label for="content"  class="label-flags">
                <span> Contenido</span>
              </label>
              <ckeditor [editor]="Editor" [(ngModel)]="news.content" [data]="news.content" name="content" id="content" ></ckeditor>
            </div>
          </div>
          <div class="position-relative form-group">

            <label for="image" class="">Imagen</label>
            <div class="row">
              <div class="col-4">
                <img [src]="news._id | image: 'news' " class="img-fluid" [alt]="imageInit" *ngIf="imageInit && !thumbnail">
                <img [src]="thumbnail" *ngIf="thumbnail" class="img-fluid">
                <img src="assets/images/missing.png" *ngIf="!imageInit && !thumbnail" class="img-fluid">
              </div>
              <div class="col-4 d-flex align-items-center">
                <div class="upload-btn-wrapper">
                  <button class="btn btn-primary">Selecciona un archivo</button>
                  <input type="file" name="image" id="image" (change)="getImage($event)">
                </div>
              </div>
              <div class="col-12 col-md-4">
                <ngb-datepicker #dp [(ngModel)]="news.date" name="date" (navigate)="date = $event.next"></ngb-datepicker>
              </div>
            </div>
          </div>
          <div class="alert alert-primary mt-3" role="alert">
            <fa-icon [icon]="faImages"></fa-icon> Imágenes (Formato png, jpg o jpeg de tamaño 1,280 x 960 a 72 dpi)<br>
          </div>
          <div class="row mb-3">
            <div class="col-12">
              <div class="row">
                <div class="col-12 col-sm-6 col-md-4 col-lg-3"  *ngFor="let image of images; let i=index">
                  <img [src]="image | imageGallery: news._id: 'news'" class="img-fluid" [alt]="image">
                  <a class="text-danger ml-2" (click)="deleteImage(image)" style="cursor: pointer;">
                    <fa-icon [icon]="faTrashAlt"></fa-icon>
                  </a>
                </div>
              </div>
            </div>
          </div>
          <ngx-dropzone (change)="onSelect($event)">
            <ngx-dropzone-label>Arrastra tus Images</ngx-dropzone-label>
            <ngx-dropzone-image-preview ngProjectAs="ngx-dropzone-preview" *ngFor="let f of files" [file]="f" [removable]="true" (removed)="onRemove(f)">
              <ngx-dropzone-label>{{ f.name }} ({{ f.type }})</ngx-dropzone-label>
            </ngx-dropzone-image-preview>
          </ngx-dropzone>
          <button type="submit" [disabled]="form.invalid" class="mt-2 float-end btn btn-primary">
            <fa-icon [icon]="faSave"></fa-icon>
            Guardar
          </button>
        </form>
      </div>
    </div>
  </div>
</div>




